/*
vim: ts=4 ft=cpp

Copyright (c) 2002, Mattias Douhan
 All rights reserved.

Redistribution and use in source and binary forms,
with or without modification,
are permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice,
this list of conditions and the following disclaimer.

Redistributions in binary form must reproduce the above copyright notice,
this list of conditions and the following disclaimer in the documentation
and/or other materials provided with the distribution.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
ARE DISCLAIMED.
IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
*/

/************* krdesktop.h *******************/
#include <kapp.h>
#include <kmainwindow.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <kmenubar.h>
#include <qpopupmenu.h>
#include <khelpmenu.h>
#include <kpopupmenu.h>
#include <klineedit.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qgroupbox.h>
#include <kstandarddirs.h>
#include <kprocess.h>
#include <qcombobox.h>
#include <qmap.h>
#include <qdatetime.h>


class KRdeskTop : public KMainWindow
{
	Q_OBJECT
public:
	KRdeskTop();
	void closeEvent(QCloseEvent *);
public slots:
	void slotConnect();
	void slotExit();
	void slotHelp();
	void slotCheck(KProcess *p);
private:
	QPushButton 	*btnConnect;
	QCheckBox		*fullScreen;
	QCheckBox		*disEncrypt;
	QCheckBox		*fbu;
	QCheckBox		*noMotion;
	QCheckBox		*noLicense;
	QCheckBox		*userName;
	QCheckBox		*NT4;
	QCheckBox		*VNCCon;
	QCheckBox		*alttab;
	QCheckBox		*nonpckb;
	QCheckBox		*nobuiltinlic;
	QCheckBox		*randomhostname;
	KMenuBar		*menu;
	KMenuBar		*menutwo;
	QPopupMenu		*file;
	QPopupMenu		*help;
	KLineEdit		*lineEdit;
	QButtonGroup 	*grp1;
	QRadioButton	*rb11;
	QRadioButton	*rb12;
	QRadioButton	*rb13;
	QRadioButton	*rb14;
	QButtonGroup    *grp2;
	QRadioButton    *rb21;
	QRadioButton    *rb22;
	QButtonGroup	*grp3;
	QButtonGroup	*grp4;
	QButtonGroup	*grp5;
	QRadioButton	*rb51;
	QRadioButton	*rb52;
	QRadioButton	*rb53;
	QRadioButton	*rb54;
	QMap<QString, QString> kb_map;
	QMap<QString, QString> oldver_kb_map;
	QComboBox	*kb_comboBox;
};

